To use EastVR, you need Adobe Flash Player version 9 or newer.
Get the latest Flash Player
Visit EastVR.com